/// Represents neccesary secret values to connect to Discord.
class DiscordAuthSet {
  /// The Discord Bot User Token (or user/webhook token) to connect with.
  String token;

  /// The type of the token provided.
  TokenType tokenType;

  /// Default constructor.
  DiscordAuthSet(this.token, this.tokenType);
}

/// The type of token to connect with. You probably want to use Bot.
enum TokenType { Bot, User, Webhook, Bearer }
