import 'dart:async';

import 'package:circumstellar/circumstellar.dart';
import 'package:circumstellar/src/discord_client.dart';
import 'package:circumstellar/src/models/entity.dart';

class BaseChannel extends Entity<String> {
  BaseChannel.empty(DiscordClient client) : super.empty(client);

  // Base properties
  /// The type of this [BaseChannel]. You can use [ChannelType] to assist with identifying.
  int type;
}
