import 'dart:async';

import 'package:circumstellar/src/discord_client.dart';
import 'package:circumstellar/src/discord_constants.dart';
import 'package:circumstellar/src/models/discord_objects/channels/base_channel.dart';
import 'package:circumstellar/src/models/discord_objects/channels/guild_text_channel.dart';

class ChannelSelector {
  static Future<BaseChannel> fromJson(
      Map<String, dynamic> json, DiscordClient client) async {
    switch (json['type']) {
      case 0:
        // Guild text
        return await GuildTextChannel.createFromData(json, client);
      case 1:
        // DM
        break;
      case 2:
        // Guild voice
        break;
      case 3:
        // Group DM
        break;
      case 4:
        // Guild category
        break;
      default:
    }
  }
}
